/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.TremiE;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface TremiEFacadeLocal {

    void create(TremiE tremiE);

    void edit(TremiE tremiE);

    void remove(TremiE tremiE);

    TremiE find(Object id);

    List<TremiE> findAll();

    List<TremiE> findRange(int[] range);

    int count();

    TremiE FindTremiE(String productoCodigo, String programaCodigo, String Sucursal);

}
